# Get a list of registered banks

To initiate a payout, you need to find and use the bank code of the destination bank.&#x20;

### URI

&#x20;<mark style="color:green;background-color:green;">**GET**</mark>&#x20;

```
https://api.tryduplo.com/v1/merchants/utilities/banks/list?country=Nigeria
```

### Parameters

#### Header

<table data-header-hidden><thead><tr><th width="249"></th><th></th></tr></thead><tbody><tr><td><strong>Authorization</strong><br><code>string</code></td><td>set value to <code>Bearer SECRET_KEY</code></td></tr></tbody></table>

#### Path Param

<table data-header-hidden><thead><tr><th width="250"></th><th></th></tr></thead><tbody><tr><td><strong>country</strong><br><code>string</code> <mark style="color:red;"><code>require</code></mark></td><td>The country in which you require a list of bank from</td></tr></tbody></table>

### Sample request

{% tabs %}
{% tab title="cURL" %}
{% code overflow="wrap" %}

```bash
curl --location --request GET 'https://api.tryduplo.com/v1/merchants/utilities/banks/list?country=Nigeria' \
--header 'Authorization: Bearer SECRET_KEY'
```

{% endcode %}
{% endtab %}

{% tab title="Node" %}
{% code overflow="wrap" lineNumbers="true" %}

```javascript
var axios = require('axios');

var config = {
 method: 'get',
 url: 'https://api.tryduplo.com/v1/merchants/utilities/banks/list?country=Nigeria',
 headers: {
   'Authorization': 'Bearer SECRET_KEY'
 }
};

axios(config)
.then(function (response) {
 console.log(JSON.stringify(response.data));
})
.catch(function (error) {
 console.log(error);
});
```

{% endcode %}
{% endtab %}

{% tab title="PHP" %}
{% code overflow="wrap" lineNumbers="true" %}

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
 CURLOPT_URL => 'https://api.tryduplo.com/v1/merchants/utilities/banks/list?country=Nigeria',
 CURLOPT_RETURNTRANSFER => true,
 CURLOPT_ENCODING => '',
 CURLOPT_MAXREDIRS => 10,
 CURLOPT_TIMEOUT => 0,
 CURLOPT_FOLLOWLOCATION => true,
 CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
 CURLOPT_CUSTOMREQUEST => 'GET',
 CURLOPT_HTTPHEADER => array(
   'Authorization: Bearer SECRET_KEY'
 ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;
```

{% endcode %}
{% endtab %}
{% endtabs %}

### Duplo Response

```json
{
   "data": [
       {
           "name": "Abbey Mortgage Bank",
           "slug": "abbey-mortgage-bank",
           "code": "801",
           "longcode": "",
           "gateway": null,
           "pay_with_bank": false,
           "active": true,
           "is_deleted": false,
           "country": "Nigeria",
           "currency": "NGN",
           "type": "nuban",
           "id": 174,
           "createdAt": "2020-12-07T16:19:09.000Z",
           "updatedAt": "2020-12-07T16:19:19.000Z"
       },
       .
       .
       .
       {
           "name": "Zenith Bank",
           "slug": "zenith-bank",
           "code": "057",
           "longcode": "057150013",
           "gateway": "emandate",
           "pay_with_bank": true,
           "active": true,
           "is_deleted": null,
           "country": "Nigeria",
           "currency": "NGN",
           "type": "nuban",
           "id": 21,
           "createdAt": "2016-07-14T10:04:29.000Z",
           "updatedAt": "2021-06-01T11:01:30.000Z"
       }
   ],
   "errors": {},
   "message": "Request successful"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.tryduplo.com/duplo-api-documentation/payment-apis/make-payments/get-a-list-of-registered-banks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
